Install our app 🪄 click on the icon in the top right of the address bar.

API Documentation

This is the documentation for the available API endpoints, which are built around the REST architecture. All the API endpoints will return a JSON response with the standard HTTP response codes and need a Bearer Authentication via an API Key.

 

Authentication

All the API endpoints require an API key sent by the Bearer Authentication method.

Authorization: Bearer {api_key}
curl --request GET \
--url 'https://exam.sociostacks.com/api/{endpoint}' \
--header 'Authorization: Bearer {api_key}' \

api_documentation.errors.header

api_documentation.errors.subheader

{
    "errors": [
        {
            "title": "You do not have access to the API.",
            "status": 401
        }
    ]
}
200 api_documentation.status_codes.200
400 api_documentation.status_codes.400
401 api_documentation.status_codes.401
404 api_documentation.status_codes.404
429 api_documentation.status_codes.429
500 api_documentation.status_codes.500
All API endpoint results work with the UTC timezone unless specified otherwise.
Stores
User
Custom domains
Teams
Team members
Teams' member
Account logs